Bug 868358 - RFE: user can't change tuned profile
RFE: user can't change tuned profile
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: tuned (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-19 11:12 EDT by Radek Vokal
Modified: 2013-02-27 13:36 EST (History)
6 users (show)

See Also:
Fixed In Version: tuned-2.1.0-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-11 20:25:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radek Vokal 2012-10-19 11:12:48 EDT
Description of problem:
User even with root privilages can't change tuned profile. I don't think there is a reason why user in specified admin group or with suid can't change profile.

Expected results:
tuned-adm changes profile run under user

Additional info:
/usr/sbin/tuned-adm contains

if not os.geteuid() == 0:
   self.error("Only root can run this script.", 2)
Comment 1 Jaroslav Škarvada 2012-10-19 11:30:34 EDT
> if not os.geteuid() == 0:
>    self.error("Only root can run this script.", 2)
It's already in git head.

We need:
a) SUIDed wrapper or 
b) port tuned-adm to use dbus control, correctly handle permissions and probably add special group that will allow the control

I vote for b).
Comment 2 Jan Vcelak 2012-11-07 05:37:41 EST
Resolved in upstream.

The daemon is now controlled via DBus. tuned-adm {list,active} should work for all users, tuned-adm {profile,off} is allowed only for root and users, which are logged in locally. This behavior is consistent with old tuned-adm, which was run via consolekit.
Comment 3 Fedora Update System 2012-12-03 06:03:54 EST
tuned-2.1.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/tuned-2.1.0-1.fc18
Comment 4 Jan Vcelak 2012-12-03 06:10:53 EST
Resolved in:
tuned-2.1.0-1.fc18
tuned-2.1.0-1.fc19
Comment 5 Fedora Update System 2012-12-03 16:32:34 EST
Package tuned-2.1.0-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tuned-2.1.0-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19556/tuned-2.1.0-1.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-12-06 05:31:20 EST
tuned-2.1.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/tuned-2.1.1-1.fc18
Comment 7 Fedora Update System 2013-01-11 20:25:47 EST
tuned-2.1.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Antonis Gkizelis 2013-02-22 06:46:07 EST
pffff...!!!
still i cant change profile with the tuned -adm
i write "tuned-adm profile profile-powersave"
and i says cannot change profile
not as user neither a root!....:(
Comment 9 Jaroslav Škarvada 2013-02-22 07:17:36 EST
(In reply to comment #8)
> pffff...!!!
> still i cant change profile with the tuned -adm
> i write "tuned-adm profile profile-powersave"
> and i says cannot change profile
> not as user neither a root!....:(

For default profiles it is:

# tuned-adm profile powersave

Could you provide more info, e.g. output of the failing command, /var/log/tuned/tuned.log?
Comment 10 Antonis Gkizelis 2013-02-27 13:35:47 EST
i think now is ok!!!
thanks!!
may i used wrong command!!i tryed now and its ok!!:)
Comment 11 Antonis Gkizelis 2013-02-27 13:36:45 EST
(In reply to comment #9)
> (In reply to comment #8)
> > pffff...!!!
> > still i cant change profile with the tuned -adm
> > i write "tuned-adm profile profile-powersave"
> > and i says cannot change profile
> > not as user neither a root!....:(
> 
> For default profiles it is:
> 
> # tuned-adm profile powersave
> 
> Could you provide more info, e.g. output of the failing command,
> /var/log/tuned/tuned.log?

i think now is ok!!!
thanks!!
may i used wrong command!!i tryed now and its ok!!:)

Note You need to log in before you can comment on or make changes to this bug.